Description: Change name of pyOCD to pyocd
Author: Nick Morrott <nickm@debian.org>
Forwarded: not-needed
Last-Update: 2020-07-31
---
--- a/setup.py
+++ b/setup.py
@@ -41,7 +41,7 @@
         'Jinja2>=2.7.0,<3',
         'setuptools',
         'colorama>=0.3,<0.4',
-        'pyOCD>=0.3,<1.0',
+        'pyocd',
         'project_generator>=0.8.0',
         'pyelftools>=0.23',
     ],
--- a/valinor/gdb.py
+++ b/valinor/gdb.py
@@ -23,8 +23,8 @@
 
 def _launchPyOCDGDBServer(msg_queue):
     logger.info('preparing PyOCD gdbserver...')
-    from pyOCD.gdbserver import GDBServer
-    from pyOCD.board import MbedBoard
+    from pyocd.gdbserver import GDBServer
+    from pyocd.board import MbedBoard
     gdb = None
     try:
         logger.info('finding connected board...')
